%global momorel 2

Name:		pino
Version:	0.2.11
Release:	%{momorel}m%{?dist}
Summary:	A fast, easy and free Twitter and identi.ca client
Group:		Applications/Internet
License:	LGPLv3+
URL:		http://code.google.com/p/pino-twitter/
Source0:	http://pino-twitter.googlecode.com/files/%{name}-%{version}.tar.bz2
NoSource:	0

BuildRequires:	cmake vala intltool gettext desktop-file-utils
BuildRequires:	libgee-devel libnotify-devel libsoup-devel libxml2-devel
BuildRequires:	webkitgtk-devel unique-devel gtkspell-devel
Requires:	hicolor-icon-theme

%description
Pino is Twitter and identic.ca client for Linux desktop. It's simple and fast. 
Pino is written in Vala language and compiled to the native binary code. 

%prep
# Umm... 
%setup -n %{name}-0.2.10

%build
# fix DSOLinking
sed -i '/link_libraries/a \ \ m' CMakeLists.txt

%{cmake}  -DUBUNTU_ICONS=OFF -DENABLE_DEBUG=OFF .
%make

%install
make install/fast DESTDIR=%{buildroot}

# Remove docs from /usr/share/doc/pino
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%find_lang %{name}

echo "Encoding=UTF-8" >> %{buildroot}%{_datadir}/applications/%{name}.desktop

grep -q 'StartupNotify' %{buildroot}%{_datadir}/applications/%{name}.desktop || \
	echo 'StartupNotify=true' >> %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

# Remove indicator file before we package the whole indicator stack from ubuntu
rm -f %{buildroot}%{_datadir}/indicators/messages/applications/pino

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/%{name}

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.11-2m)
- full rebuild for mo7 release

* Thu Jul  8 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.2.11-1m)
- Initial Commit Momonga Linux
